
#include "Graph.h"
#include <ctime>
#include <cstdlib>
///https://www.sfml-dev.org/tutorials/2.4/graphics-vertex-array.php
using namespace sf;

int main() {
    srand(time(0));
    RenderWindow window(VideoMode(600, 480), "SFML works!");

    Axis ax(0, Vector2f(10, 240), 580, 10);
    Axis ay(1, Vector2f(300, 470), 460, 10);


//sf::Vertex vertices[2] =
//{
//    sf::Vertex(...),
//    sf::Vertex(...)
//};

//window.draw(vertices, 2, sf::Lines);

    //window.draw(vertices, 2, sf::Lines);*/
    //double x{0},y{0},xinc{0.4354},yinc{0.843};
    String buffer;
    while (window.isOpen())
    {
        Event event;
        while (window.pollEvent(event))
        {
            switch(event.type)
            {
            case Event::EventType::Closed:
                window.close();
                break;
            case Event::EventType::TextEntered:
                //Add character to string
                buffer += event.text.unicode;
                break;
            case Event::EventType::KeyReleased:
                //Change the title to current buffer
                if (event.key.code == Keyboard::Key::Return)
                {   window.setTitle(buffer);
                    buffer.clear();
                }
                break;
            default:
                break;
            }
        }
        window.clear();

        window.draw(&ax.vertices[0], ax.vertices.size(), Lines);
        window.draw(&ay.vertices[0], ay.vertices.size(), Lines);
        window.display();
    }

    return 0;
}
