
#include "Graph.h"
#include <ctime>
#include <cstdlib>
///https://www.sfml-dev.org/tutorials/2.4/graphics-vertex-array.php
using namespace sf;

int main() {
    srand(time(0));
    RenderWindow window(VideoMode(600, 480), "SFML works!");

    Axis ax(0, Vector2f(10, 240), 580, 10);
    Axis ay(1, Vector2f(300, 470), 460, 10);


//sf::Vertex vertices[2] =
//{
//    sf::Vertex(...),
//    sf::Vertex(...)
//};

//window.draw(vertices, 2, sf::Lines);

    //window.draw(vertices, 2, sf::Lines);*/
    //double x{0},y{0},xinc{0.4354},yinc{0.843};
    while (window.isOpen())
    {
        Event event;
        while (window.pollEvent(event))
        {
            switch(event.type)
            {
            case Event::EventType::Closed:
                window.close();
                break;
            case Event::EventType::KeyPressed:
                //Change the title
                if(event.key.code == Keyboard::Key::Space)
                    window.setTitle("Space pressed");
                break;
            case Event::EventType::KeyReleased:
                //Change the tiel again
                if (event.key.code == Keyboard::Key::Space)
                    window.setTitle("Space released");
                //Close the window if the Escape key is released
                else if(event.key.code == Keyboard::Key::Escape)
                    window.close();
                break;
            default:
                break;
            }
        }
        window.clear();

        window.draw(&ax.vertices[0], ax.vertices.size(), Lines);
        window.draw(&ay.vertices[0], ay.vertices.size(), Lines);
        window.display();
    }

    return 0;
}
